Customer Trust
List questionnaire responses
List the responses on a questionnaire. Each response carries its
answerPartsSchema and answerPartsValues, which describe the parts an
answer is composed of and their current values.
GET
/
customer-trust
/
questionnaires
/
{questionnaireId}
/
responses
List questionnaire responses
curl --request GET \
--url https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"data": [
{
"id": "000000000000000000000001",
"question": "Do you encrypt customer data at rest?",
"isPendingAnswerGeneration": false,
"answerPartsSchema": {
"type": "object",
"properties": {
"explanation": {
"type": "string",
"title": "Explanation"
}
}
},
"answerPartsValues": {
"explanation": "Yes, we encrypt all customer data at rest with AES-256."
},
"ownerAssignment": {
"type": "User",
"id": "000000000000000000000002",
"displayName": "Jane Doe"
}
}
],
"pageInfo": {
"hasNextPage": false,
"hasPreviousPage": false,
"startCursor": "000000000000000000000001",
"endCursor": "000000000000000000000001"
}
}
}Authorizations
Query Parameters
Was this page helpful?
⌘I
List questionnaire responses
curl --request GET \
--url https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/customer-trust/questionnaires/{questionnaireId}/responses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"data": [
{
"id": "000000000000000000000001",
"question": "Do you encrypt customer data at rest?",
"isPendingAnswerGeneration": false,
"answerPartsSchema": {
"type": "object",
"properties": {
"explanation": {
"type": "string",
"title": "Explanation"
}
}
},
"answerPartsValues": {
"explanation": "Yes, we encrypt all customer data at rest with AES-256."
},
"ownerAssignment": {
"type": "User",
"id": "000000000000000000000002",
"displayName": "Jane Doe"
}
}
],
"pageInfo": {
"hasNextPage": false,
"hasPreviousPage": false,
"startCursor": "000000000000000000000001",
"endCursor": "000000000000000000000001"
}
}
}